Bug 251689 - sbcl: fails to build --target=i[56]86
Summary: sbcl: fails to build --target=i[56]86
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sbcl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i586 Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-10 13:21 UTC by Anton Guda
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 14:00:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
head of build logfile (240.90 KB, application/octet-stream)
2007-08-10 13:23 UTC, Anton Guda
no flags Details

Description Anton Guda 2007-08-10 13:21:28 UTC
Description of problem:
rebuild of sbcl never ends in check stage.
String "widetag of fixup vector is 38" loop forever in output.


Version-Release number of selected component (if applicable):
sbcl-1.0.8-1.fc8 (installed: build by fedora).
gcc-4.1.2-17

How reproducible:
aleays

Steps to Reproduce:
1. rpmbuild -ba --target i586 sbcl.spec
 
Actual results:
Build never ends, string "widetag of fixup vector is 38"
repeats forever (build killed when log file was approx 200M).

Expected results:
Build process finished, *.rpm files created.


Additional info:

Comment 1 Anton Guda 2007-08-10 13:23:31 UTC
Created attachment 161051 [details]
head of build logfile

Comment 2 Rex Dieter 2007-08-10 13:44:02 UTC
fyi, (re)building pkgs for --target=i586 is not all that supported or advisable...

In the meantime, I'll see if I can reproduce.

Comment 3 Rex Dieter 2007-08-10 13:44:12 UTC
fyi, (re)building pkgs for --target=i586 is not all that supported or advisable...

In the meantime, I'll see if I can reproduce.

Comment 4 Rex Dieter 2007-08-10 14:00:28 UTC
reproducible alright (on f7), but still not really supportable here in fedora
(-> WONTFIX), though I may go as far as changing
ExclusiveArch: %{ix86} ...
to
ExclusiveArch: i386

You're welcome to report this issue to upstream sbcl developers, but I would
venture they will say the same thing: don't go mucking with non-standard build
options (ie gcc's -march=i586).

Comment 5 Rex Dieter 2007-08-10 14:42:19 UTC
Confirmed same problem with --target=i686 as well.

%changelog
* Fri Aug 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.8-2
- ExclusiveArch: i386 (#251689)


Note You need to log in before you can comment on or make changes to this bug.